'use strict';

require('babel-polyfill');

var _dashfleetConstants = require('dashfleet-constants');

var _dashfleetConstants2 = _interopRequireDefault(_dashfleetConstants);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BASE = 'https://dashfleet.dashroad.com';

// Device 
var DEVICE_PATH = '/api/device';
var REGISTER_NEW_DEVICE = DEVICE_PATH + '/register_new';
var CHANGE_SHARE_SETTINGS = DEVICE_PATH + '/change_share_settings';
var ONBOARD_DEVICE = DEVICE_PATH + '/onboard_new';
var EDIT_SOLD_DEVICES = DEVICE_PATH + '/edit_sold_devices';
var SELL_DEVICE = DEVICE_PATH + '/sell_device';

var IMEI_PARAM = ':imei';
var CURRENT_LOCATION = DEVICE_PATH + '/' + IMEI_PARAM + '/' + _dashfleetConstants2.default.CURRENT_LOCAION;

var CURRENT_SPEED = DEVICE_PATH + '/' + IMEI_PARAM + '/' + _dashfleetConstants2.default.CURRENT_SPEED;

var DEVICE_EVENT_PATH = DEVICE_PATH + '/' + IMEI_PARAM + '/event';
var END_AT_PARAM = ':endAt';
var HARSH_ACCELERATION = DEVICE_EVENT_PATH + '/harsh_acceleration(/end_at/' + END_AT_PARAM + ')?';

var HARSH_BRAKE = DEVICE_EVENT_PATH + '/harsh_brake(/end_at/' + END_AT_PARAM + ')?';

var VEHICLE_CONDITIONS = DEVICE_PATH + '/' + IMEI_PARAM + '/vehicle_conditions';

// User
var USER_PATH = '/api/user';

var UID_PARAM = ':uid';
var UIDS_PARAM = ':uids';
var UID_TO_EMAIL = USER_PATH + '/uid_to_email/' + UID_PARAM;
var UIDS_TO_EMAILS = USER_PATH + '/uids_to_emails/' + UIDS_PARAM;

var EMAIL_PARAM = ':email';
var EMAIL_TO_UID = USER_PATH + '/email_to_uid/' + EMAIL_PARAM;

var LIST_DEVICES = USER_PATH + '/' + EMAIL_PARAM + '/' + _dashfleetConstants2.default.DEVICES;

// Super user 
var SUPER_USER_PATH = '/api/' + _dashfleetConstants2.default.SUPER_USERS;
var IS_SUPER_USERS_PARAM = ':uid';
var IS_SUPER_USERS = SUPER_USER_PATH + '/check/' + IS_SUPER_USERS_PARAM;

// Token
var TOKEN_PATH = '/api/token';
var GET_TOKEN_NO_BASE = '/get_new';
var GET_TOKEN = '' + TOKEN_PATH + GET_TOKEN_NO_BASE;

module.exports = {
    BASE: BASE,
    REGISTER_NEW_DEVICE: REGISTER_NEW_DEVICE,

    UIDS_TO_EMAILS: UIDS_TO_EMAILS,
    UID_TO_EMAIL: UID_TO_EMAIL,
    UIDS_PARAM: UIDS_PARAM,
    UID_PARAM: UID_PARAM,
    ONBOARD_DEVICE: ONBOARD_DEVICE,

    IS_SUPER_USERS: IS_SUPER_USERS,
    IS_SUPER_USERS_PARAM: IS_SUPER_USERS_PARAM,
    EDIT_SOLD_DEVICES: EDIT_SOLD_DEVICES,

    SELL_DEVICE: SELL_DEVICE,

    EMAIL_TO_UID: EMAIL_TO_UID,
    EMAIL_PARAM: EMAIL_PARAM,

    CHANGE_SHARE_SETTINGS: CHANGE_SHARE_SETTINGS,

    LIST_DEVICES: LIST_DEVICES,

    IMEI_PARAM: IMEI_PARAM,
    CURRENT_LOCATION: CURRENT_LOCATION,

    CURRENT_SPEED: CURRENT_SPEED,

    END_AT_PARAM: END_AT_PARAM,
    HARSH_ACCELERATION: HARSH_ACCELERATION,
    HARSH_BRAKE: HARSH_BRAKE,

    VEHICLE_CONDITIONS: VEHICLE_CONDITIONS,

    TOKEN_PATH: TOKEN_PATH,
    GET_TOKEN: GET_TOKEN,
    GET_TOKEN_NO_BASE: GET_TOKEN_NO_BASE
};